# Interface FindReplaceListener

All Superinterfaces:
  `EventListener`

public interface FindReplaceListener extends EventListener
Interface for implementing a listener for `FindReplaceEvents`.

For implementing this interface, methods getFirstDocument and getNextDocument need to be overridden by code providing a new document for the a FindReplaceDialog. Once a new document is on hand, methods resumeOperation or terminateOperation of the FindReplaceDialog need to be called from out of this interfaces methods to resume or terminate the find or replace operation, which is waiting for the new document in the FindReplaceDialog.

Added i18n support for application SimplyHTML in version 1.5

## Method Summary

Modifier and Type
Method
Description
`void`
`findReplaceTerminated(FindReplaceEvent e)`
this event gets fired when a FindReplaceDialog has finalized its task.
`void`
`getFirstDocument(FindReplaceEvent e)`
this events gets fired, when a FindReplaceDialog has initiated an operation for a group of documents which requires to start at the first document.
`void`
`getNextDocument(FindReplaceEvent e)`
this events gets fired, when a FindReplaceDialog has reached the end of the current document and requires the next document of a group of documents.

## Method Details

### getNextDocument

void getNextDocument(FindReplaceEvent e)
this events gets fired, when a FindReplaceDialog has reached the end of the current document and requires the next document of a group of documents.

Parameters:
  `e` - the object having details for the event

### getFirstDocument

void getFirstDocument(FindReplaceEvent e)
this events gets fired, when a FindReplaceDialog has initiated an operation for a group of documents which requires to start at the first document.

Parameters:
  `e` - the object having details for the event

### findReplaceTerminated

void findReplaceTerminated(FindReplaceEvent e)
this event gets fired when a FindReplaceDialog has finalized its task.

Parameters:
  `e` - the object having details for the event